mtext_cat_char(3m17n)

NAME
mtext_cat_char - Append a character to an M-text.

SYNOPSIS
MText* mtext_cat_char (MText * mt, int c)

DESCRIPTION
Append a character to an M-text.

The mtext_cat_char() function appends character c, which has no text properties, to the end of M-text mt.

RETURN VALUE

    This function returns a pointer to the resulting M-text mt. If c is an invalid character, it returns NULL.

SEE ALSO

    mtext_cat(), mtext_ncat()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.